Function ConvertEDIFACTDate( DateString, Code ) 	
	Dim pat
	Dim c,y,m,d,q,h,mm,s,z,w,p
	Dim IL
	Dim time,period
	Dim res
	c=0:y=0:m=0:d=0:q=0:h=0:mm=0:s=0:z=0:w=0:p=0
	time=False:period=False
	res=""
	 
	Select Case Code
		Case 101 pat = "YYMMDD"
		Case 102 pat = "CCYYMMDD"
		Case 103 pat = "YYWWD"
		Case 105 pat = "YYDDD"
		Case 106 pat = "MMDD"
		Case 107 pat = "DDD"
		Case 108 pat = "WW"
		Case 109 pat = "MM"
		Case 110 pat = "DD"
		Case 2 pat = "DDMMYY"
		Case 201 pat = "YYMMDDHHMM"
		Case 202 pat = "YYMMDDHHMMSS"
		Case 203 pat = "CCYYMMDDHHMM"
		Case 204 pat = "CCYYMMDDHHMMSS"
		Case 3 pat = "MMDDYY"
		Case 301 pat = "YYMMDDHHMMZZZ"
		Case 302 pat = "YYMMDDHHMMSSZZZ"
		Case 303 pat = "CCYYMMDDHHMMZZZ"
		Case 304 pat = "CCYYMMDDHHMMSSZZZ"
		Case 305 pat = "MMDDHHMM"
		Case 306 pat = "DDHHMM"
		Case 401 pat = "HHMM":time=True
		Case 402 pat = "HHMMSS":time=True
		Case 404 pat = "HHMMSSZZZ":time=True
		Case 405 pat = "MMMMSS":time=True
		Case 501 pat = "HHMMHHMM":time=True
		Case 502 pat = "HHMMSS-HHMMSS":time=True
		Case 503 pat = "HHMMSSZZZ-HHMMSSZZZ":time=True
		Case 600 pat = "CC"
		Case 601 pat = "YY"
		Case 602 pat = "CCYY"
		Case 603 pat = "YYS"
		Case 604 pat = "CCYYS"
		Case 608 pat = "CCYYQ"
		Case 609 pat = "YYMM"
		Case 610 pat = "CCYYMM"
		Case 613 pat = "YYMMA"
		Case 614 pat = "CCYYMMA"
		Case 615 pat = "YYWW"
		Case 616 pat = "CCYYWW"
		Case 701 pat = "YY-YY"
		Case 702 pat = "CCYY-CCYY"
		Case 703 pat = "YYS-YYS"
		Case 704 pat = "CCYYS-CCYYS"
		Case 705 pat = "YYPYYP"
		Case 706 pat = "CCYYP-CCYYP"
		Case 707 pat = "YYQ-YYQ"
		Case 708 pat = "CCYYQ-CCYYQ"
		Case 709 pat = "YYMM-YYMM"
		Case 710 pat = "CCYYMM-CCYYMM"
		Case 711 pat = "CCYYMMDD-CCYYMMDD"
		Case 713 pat = "YYMMDDHHMM-YYMMDDHHMM"
		Case 715 pat = "YYWW-YYWW"
		Case 716 pat = "CCYYWW-CCYYWW"
		Case 717 pat = "YYMMDD-YYMMDD"
		Case 718 pat = "CCYYMMDD-CCYYMMDD"
		Case Else  Exit Function
	End Select
	
	For IL = 1 To Len(DateString)
	  Select Case Mid(pat,IL,1)
	     Case "Y"    y = y * 10 + CInt(Mid(DateString,IL,1)):time=False
	     Case "M"    If time Then 
	                     mm = mm * 10 + CInt(Mid(DateString,IL,1))
	                 Else 
	                     m = m * 10 + CInt(Mid(DateString,IL,1))
	                 End If     
	     Case "D"    d = d * 10 + CInt(Mid(DateString,IL,1))
	     Case "C"    c = c * 10 + CInt(Mid(DateString,IL,1))
	     Case "H"    h = h * 10 + CInt(Mid(DateString,IL,1)):time=True
	     Case "S"    s = s * 10 + CInt(Mid(DateString,IL,1))
	     Case "Z"    z = z * 10 + CInt(Mid(DateString,IL,1))
	     Case "W"    w = w * 10 + CInt(Mid(DateString,IL,1))
	     Case "P"    p = p * 10 + CInt(Mid(DateString,IL,1))
	     Case "-"    res = res & ConvertEDIFACTDate_MkDate(c,y,m,d,h,mm,s,z)&"/"
	                 c=0:y=0:m=0:d=0:q=0:h=0:mm=0:s=0:z=0:w=0:p=0
	  End Select
	Next
	res = res & ConvertEDIFACTDate_MkDate(c,y,m,d,h,mm,s,z)
	ConvertEDIFACTDate = res
End Function

Function ConvertEDIFACTDate_FmtNum(d,a)
   If Not a And d = 0 Then
      ConvertEDIFACTDate_FmtNum = ""
   ElseIf d < 10 Then
      ConvertEDIFACTDate_FmtNum = "0" & CStr(d)
   Else
      ConvertEDIFACTDate_FmtNum = CStr(d)
   End If
End Function

Function ConvertEDIFACTDate_MkDate(c,y,m,d,h,mm,s,z)
    Dim dt
    If (y>0 Or m>0) And c=0 Then
      c=20
    End If
    dt = ConvertEDIFACTDate_FmtNum(c,False)&ConvertEDIFACTDate_FmtNum(y,c>0)
    If dt > "" Then
      dt = dt & "-"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(m,False)
    If dt > "" Then
      dt = dt & "-"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(d,False)
    If dt > "" Then
      dt = dt & "T"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(h,True)
    If dt > "" Then
      dt = dt & ":"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(mm,True)
    If dt > "" Then
      dt = dt & ":"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(s,True)
    If z> 0 And dt > "" Then
      dt = dt & "."
    End If
    If z<>0 And z<100 Then
      dt = dt & "0"
    End If
    dt = dt & ConvertEDIFACTDate_FmtNum(z,False)
    ConvertEDIFACTDate_MkDate = dt
End Function